Bug 195832 - Apple specific keys not (fully) usable (Intel MacBook)
Apple specific keys not (fully) usable (Intel MacBook)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-18 08:18 EDT by Jurgen Kramer
Modified: 2015-01-04 17:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 13:56:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jurgen Kramer 2006-06-18 08:18:55 EDT
Description of problem:
The apple specific keys on the MacBook are not (fully) usable.

Version-Release number of selected component (if applicable):
Rawhide (16-Jun-06)

How reproducible:
Always

Steps to Reproduce:
1. Start xev
2. Press various apple specific keys
3. 
  
Actual results:
Apple specific keys are not properly mapped/assigned

Expected results:
All apple specific keys have keycodes associated.

Additional info:
The proper keymap is probably already there in the PPC build?
Comment 1 Jurgen Kramer 2006-06-23 08:12:59 EDT
It seems that the current git5 patchset for the kernel contains the necesarry
usbhid patch. As soon as the FC6 kernel hits git5 I will test if it resolves the
problem.
Comment 2 Dave Jones 2006-07-11 01:41:23 EDT
should be fixed now ?
Comment 3 Jurgen Kramer 2006-07-11 12:44:04 EDT
Hmm, it seems that all the Apple specific keys are now emitting a key code but
in Fedora they are not mapped to anything usefull. 2nd mouse button emulation
would be most welcome, a working eject key as well. Do I need to do some
additional tweaking to get this working? I assume this works out-of-the-box on
the PPC build?
Comment 4 Jurgen Kramer 2006-07-28 13:35:28 EDT
Any progress on this? Adding dev.mac_hid.mouse_button_emulation = 1
 to /etc/sysctl.conf does not work.
Comment 5 Paul Nasrat 2006-07-28 14:36:36 EDT
For hid mouse button emulation you may need to change the keys it's bound to,
use xev to find the keycodes of what key you want - f11, f12 are common choices
then ensure sysctl.conf has:

# Emulate the middle mouse button with F11 and the right with F12.
dev.mac_hid.mouse_button_emulation = 1
dev.mac_hid.mouse_button2_keycode = 87
dev.mac_hid.mouse_button3_keycode = 88

And the appropriate bits are in /proc/sys/dev/mac_hid/

To make the eject key work - go to System->Preferences->Keyboard Shortcuts
scroll to eject, select and hit the appropriate key.  That way in GNOME the key
will be bound to eject.
Comment 6 Jurgen Kramer 2006-07-29 05:13:46 EDT
I already added the dev.mac_hid.mouse_button_emulation = 1 line to my
sysctl.conf, unfortunately that is not enough. There is no
/proc/sys/dev/mac_hid/ on my MacBook. Eject works now though.

BTW it seems that F11 and F12 are 95 and 96 on the MacBook.
Comment 7 Jurgen Kramer 2006-08-21 13:56:11 EDT
For comment #5 and #6 see bug #195833
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=195833.

The other Apple specific keys (fn etc) are now working properly.
 

Note You need to log in before you can comment on or make changes to this bug.